;;; add Mule-UCS to load-path
(add-to-list 'load-path "/usr/share/emacs/site-lisp/Mule-UCS")

;; CJK utf-8 locale needs Mule-UCS

(let* ((locale (or (getenv "LC_ALL")
		   (getenv "LC_CTYPE")
		   (getenv "LANG")))
       (lang-region (and locale
			 (substring locale 0 (min 5 (length locale)))))
       (lang (and lang-region
		  (substring lang-region 0 (min 2 (length lang-region))))))
  (cond ((equal locale-coding-system 'utf-8)
	 (when (member lang '("ja" "ko" "zh"))
	   (require 'un-define)
	   ;; use Mule-UCS utf-8 coding-system for subprocess IO
	   (prefer-coding-system 'utf-8)))
	((equal lang "ja")
	 (set-language-environment "Japanese")
	 (set-default-coding-systems 'euc-jp)
	 (set-buffer-file-coding-system 'euc-jp-unix)
	 (set-terminal-coding-system 'euc-jp)
	 (set-keyboard-coding-system 'euc-jp))
	((equal lang "ko")
	 (set-language-environment "Korean")
	 (set-default-coding-systems 'euc-kr)
	 (set-buffer-file-coding-system 'euc-kr-unix)
	 (set-terminal-coding-system 'euc-kr)
	 (set-keyboard-coding-system 'euc-kr))
	((equal lang-region "zh_CN")
	 (set-language-environment "Chinese-GB")
	 (set-default-coding-systems 'cn-gb-2312)
	 (set-buffer-file-coding-system 'cn-gb-2312-unix)
	 (set-terminal-coding-system 'cn-gb-2312)
	 (set-keyboard-coding-system 'cn-gb-2312))
	((equal lang-region "zh_TW")
	 (set-language-environment "Chinese-BIG5")
	 (set-default-coding-systems 'big5)
	 (set-buffer-file-coding-system 'big5-unix)
	 (set-terminal-coding-system 'big5)
	 (set-keyboard-coding-system 'big5)))
;;   ;;; languages that need to use a fontset
;;   (when (member lang '("ja" "ko" "zh"))
;;     (setq default-frame-alist '((font . "fontset-standard"))))
  )

